# $Revision: 1.7 $, $Date: 2011/08/15 17:25:16 $
#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Program to edit application shortcuts
Name:		lxshortcut
Version:	0.1.2
Release:	2
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	72f0dfafa8098be853beae6e33b5e13b
URL:		http://wiki.lxde.org/en/LXShortCut
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXShortcut is a small program used to edit application shortcuts
created with freedesktop.org Desktop Entry spec.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
touch po/stamp-it
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxshortcut
%{_datadir}/lxshortcut

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxshortcut.spec,v $
Revision 1.7  2011/08/15 17:25:16  glen
- rebuild

Revision 1.6  2011/08/15 15:26:30  lmasko
- Locale fix.

Revision 1.5  2011/08/15 08:25:59  glen
- up to 0.1.2, gtk3 bcond

Revision 1.4  2010/09/14 19:48:56  glen
- more precise urls

Revision 1.3  2010/09/14 19:34:01  glen
- ws cleanup

Revision 1.2  2010/07/30 14:00:37  sparky
- BR: gettext-devel, pkgconfig
- workaround for broken po/Makefile

Revision 1.1  2010/07/29 16:06:48  witekfl
- new
